%global srcname templated-dictionary

%global origrel 1

Name:       python-%{srcname}
Version:    1.1
Release:    %mkrel 7
Summary:    Dictionary with Jinja2 expansion
Group:      Development/Python
License:    GPLv2+
URL:        https://github.com/xsuchy/templated-dictionary

Source0:    %{url}/archive/%{name}-%{version}-%{origrel}/%{name}-%{version}-%{origrel}.tar.gz

BuildArch: noarch

BuildRequires: python3-devel
BuildRequires: python3-setuptools

%global _description\
Dictionary where __getitem__() is run through Jinja2 template.

%description %_description


%package -n python3-%{srcname}
Summary: %{summary}
%{?py_provides:%py_provides python3-%{srcname}}
%description -n python3-%{srcname} %_description


%prep
%autosetup -n %{srcname}-%{name}-%{version}-%{origrel} -p1


%build
version="%version" %py3_build

%install
version=%version %py3_install


%files -n python3-%{srcname}
%license LICENSE
%{python3_sitelib}/templated_dictionary-*.egg-info/
%{python3_sitelib}/templated_dictionary/




%changelog
* Thu Dec 07 2023 wally <wally> 1.1-7.mga10
+ Revision: 2015291
- rebuild for py3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.1-6.mga9
+ Revision: 1822244
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 1.1-5.mga9
+ Revision: 1772222
- rebuild for python3.10

* Mon Mar 15 2021 wally <wally> 1.1-4.mga9
+ Revision: 1703117
- rebuild for python 3.9

* Tue Feb 02 2021 ngompa <ngompa> 1.1-3.mga8
+ Revision: 1674520
- Adapt for Mageia
- imported package python-templated-dictionary


* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Dec 09 2020 Miroslav Suchý <msuchy@redhat.com> 1.1-1
- require python3- variants and more specifis files section
- remove python2 support

* Wed Nov 18 2020 Miroslav Suchý <msuchy@redhat.com> 1.0-1
- new package
